Bug 11213 - netcfg requires "/usr/lib/rhs/control-panel/loopy/dropdown.xbm"
Summary: netcfg requires "/usr/lib/rhs/control-panel/loopy/dropdown.xbm"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pythonlib   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-04 00:21 UTC by Tony Brack
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-11 22:12:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony Brack 2000-05-04 00:21:10 UTC
Installing all rpm requirements up to and including netcfg, then trying to
run netcfg causes the following error. I located the offending file in the
control panel rpm, installed it, and bingo, netcfg now works. Probably
should update the rpm to include this dependency.

/Tony

[root@lpv brack]# kernelcfg
Red Hat Linux kernelcfg 0.4
Copyright (C) 1996 Red Hat Software
Redistributable under the terms of the GNU General Public License
[root@lpv brack]# netcfg
Red Hat Linux netcfg 2.22
Copyright (C) 1996, 1997, 1998, 1999, 2000 Red Hat, Inc.
Redistributable under the terms of the GNU General Public License
Exception in Tkinter callback
Traceback (innermost last):
  File "/var/tmp/python/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 764, in __call__
    return apply(self.func, args)
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1540, in editEntry
    return self.editInterface(self.IFBox.getItems(index)[0], index)
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1500, in editInterface
    self.editBus(interface, index, bootp)
  File "/usr/lib/rhs/netcfg/netcfg.py", line 544, in editBus
    (('command', {'label':'none', 'command':lambda x=self:x.bootproto.set
('none')}),
  File "/usr/lib/rhs/python/rhentry.py", line 102, in __init__
    self.MB = Menubutton(self.MF, {'anchor':'e', 'bitmap':dropdown,
  File "/var/tmp/python/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 1571, in __init__
    Widget.__init__(self, master, 'menubutton', cnf, kw)
  File "/var/tmp/python/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 1084, in __init__
    self.tk.call(
TclError: error reading bitmap file "/usr/lib/rhs/control-
panel/loopy/dropdown.xbm"

was fixed by:

[root@lpv /root]# rpm -i control-panel-3.13-1.i386.rpm

Comment 1 Nalin Dahyabhai 2000-05-11 22:11:59 UTC
The rhentry.py file is in pythonlib, so I'm changing the component.

Comment 2 Nalin Dahyabhai 2000-05-11 22:12:59 UTC
This will be fixed in pythonlib-1.24-2 and later in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/noarch/RedHat/RPMS/).


Note You need to log in before you can comment on or make changes to this bug.